/* Header */
header {
    padding: 2rem 0;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    /* background: rgba(255, 255, 255, 0.9); */
    backdrop-filter: blur(10px);
    z-index: 100;
}

.header-inner {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.header-inner .logo {
    font-size: 1rem;
}

.logo {
    display: flex;
    align-items: center;
    gap: 0.5rem;
    font-weight: 900;
    font-size: 1.5rem;
    text-decoration: none;
    color: var(--color-text-main);
}

.logo-icon {
    width: 1.5rem;
    height: 1.5rem;
}

.logo span {
    display: inline-block;
    position: relative;
}

/* Character Kerning Tuning */
.logo .char-1 {
    letter-spacing: -0.1em;
}

.logo .char-2 {
    letter-spacing: 0;
}

.logo .char-3 {
    letter-spacing: -0.00em;
}

.logo .char-4 {
    letter-spacing: -0.04em;
}

.logo .char-5 {
    letter-spacing: 0;
}

.nav-link {
    font-weight: 600;
    font-size: 1rem;
    text-decoration: none;
    margin-left: 2rem;
    position: relative;
    color: var(--color-text-main);
}

.nav-link::after {
    content: '';
    position: absolute;
    bottom: -4px;
    left: 0;
    width: 100%;
    height: 2px;
    background-color: var(--color-text-muted);
    transform: scaleX(0);
    transform-origin: right;
    transition: transform 0.3s ease;
}

.nav-link:hover::after {
    transform: scaleX(1);
    transform-origin: left;
}
